package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenwaveDetailVO", description = "子区详情返回值")
public class GreenwaveDetailVO {
    @ApiModelProperty(value = "子区名称")
    private String name;
    @ApiModelProperty(value = "子区状态")
    private Integer status;
    @ApiModelProperty(value = "非协调相位二次排队")
    private Integer uncoordinatePhaseQueue;
    @ApiModelProperty(value = "协调不停车通过率（%）")
    private Integer noparkPassRate;
    @ApiModelProperty(value = "干线行程时间（秒）")
    private Integer trvalTime;

    @ApiModelProperty(value = "优化策略列表")
    private List<String> strategyList;
    @ApiModelProperty(value = "优化策略")
    private String strategy;

    @ApiModelProperty(value = "子区路口信息")
    List<GreenwaveCross> greenwaveCrossList;

    @NoArgsConstructor
    @Data
    public static class GreenwaveCross {
        @ApiModelProperty(value = "路口ID")
        private String crossId;
        @ApiModelProperty(value = "路口名称")
        private String crossName;
        @ApiModelProperty(value = "相位差")
        private Integer offset;
        @ApiModelProperty(value = "到下一路口距离")
        private Integer distanceToNextCross;
        @ApiModelProperty(value = "行程速度")
        private Double speed;

        @ApiModelProperty(value = "绿波相位列表")
        private List<GreenwavePhase> greenwavePhaseList;
    }

    @NoArgsConstructor
    @Data
    public static class GreenwavePhase {
        @ApiModelProperty(value = "相位序")
        private Integer sort;
        @ApiModelProperty(value = "相位号")
        private String phaseNo;
        @ApiModelProperty(value = "相位持续时间（秒）")
        private Integer seconds;
        @ApiModelProperty(value = "是否协调相位 0否 1是")
        private Integer isCoordinate;
    }
}
